/*
 * Witty Cloud
 * development board, featuring RGB LED, LDR and a button
 * added hardware: DHT22 temperature and humidity sensor, and infrared receiver and transmitter
 * 
 * Settings in IDE:
 * - Board: "WeMos D1 R2 & mini"
 */

#include "DeviceRgb.h"
#include "DeviceLdr.h"
#include "DeviceButton.h"
#include "DeviceDht.h"
#include "DeviceIrRx.h"
#include "DeviceIrTx.h"

const char* FWNAME = "things@WittyDhtIrRxTx";

const byte PIN_RGB_RED = D8;
const byte PIN_RGB_GREEN = D6;
const byte PIN_RGB_BLUE = D7;
DeviceRgb deviceRgb(PIN_RGB_RED, PIN_RGB_GREEN, PIN_RGB_BLUE);

const byte PIN_LDR = A0;
DeviceLdr deviceLdr(PIN_LDR);

const byte PIN_BUTTON = D2;
DeviceButton deviceButton(PIN_BUTTON);

const byte PIN_DHT = D5;
const byte TYPE_DHT = DHT22;
DeviceDht deviceDht(PIN_DHT, TYPE_DHT);

const byte PIN_IRRX = D1;
const byte PIN_POWER = D0;
DeviceIrRx deviceIrRx(PIN_IRRX, PIN_POWER);

const byte PIN_IRTX = D2;
DeviceIrTx deviceIrTx(PIN_IRTX);

Device* devices[] = {
  &deviceRgb,
  &deviceLdr,
  //&deviceButton,
  &deviceDht,
  &deviceIrRx,
  &deviceIrTx,
};

void hardwareSetup() {};
